Update python-gitdb package on devops repository.

Bug #1496312 reported by Dmitry Kaigarodеsev on 2015-09-16
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Sergey Kulanov

Bug Description

Hi,
after deploying 'zuul' by using devops mirror 'zuul-merger' fails with error:

zuul-merger -c /etc/zuul/zuul.conf -d
Traceback (most recent call last):
  File "/usr/bin/zuul-merger", line 10, in <module>
    sys.exit(main())
  File "/usr/lib/python2.7/dist-packages/zuul/cmd/merger.py", line 102, in main
    server.main()
  File "/usr/lib/python2.7/dist-packages/zuul/cmd/merger.py", line 57, in main
    import zuul.merger.server
  File "/usr/lib/python2.7/dist-packages/zuul/merger/server.py", line 22, in <module>
    import merger
  File "/usr/lib/python2.7/dist-packages/zuul/merger/merger.py", line 16, in <module>
    import git
  File "/usr/lib/python2.7/dist-packages/git/__init__.py", line 34, in <module>
    from git.config import GitConfigParser
  File "/usr/lib/python2.7/dist-packages/git/config.py", line 21, in <module>
    from git.util import LockFile
  File "/usr/lib/python2.7/dist-packages/git/util.py", line 19, in <module>
    from .exc import (
  File "/usr/lib/python2.7/dist-packages/git/exc.py", line 10, in <module>
    from git.compat import defenc
  File "/usr/lib/python2.7/dist-packages/git/compat.py", line 12, in <module>
    from gitdb.utils.compat import (
ImportError: No module named utils.compat

The root of the issue is in 'python-gitdb' package, current version of which is 0.5.4-1.
We need to upgrade it up to version 0.6.4-2.

Changed in fuel:
assignee: Fuel build team (fuel-build) → Sergey Kulanov (skulanov)
status: Confirmed → In Progress

Fix proposed to branch: master
Change author: Sergey Kulanov <email address hidden>
Review: https://review.fuel-infra.org/11625

Reviewed: https://review.fuel-infra.org/11625
Submitter: Alexander Charykov <email address hidden>
Branch: master

Commit: 63a5870c2dac26eb602c0251f823c7f2772737d1
Author: Sergey Kulanov <email address hidden>
Date: Wed Sep 16 10:13:25 2015

Add python-gitdb (>= 0.6.4) as dependency

Change-Id: I8dc21522ff22e805a2c1d786766cc3d92a3d11da
Closes-bug: #1496312

Changed in fuel:
status: In Progress → Fix Committed

Reviewed: https://review.fuel-infra.org/11623
Submitter: Alexander Charykov <email address hidden>
Branch: master

Commit: b5043af6763ed723383dc297950d5756ff263300
Author: Sergey Kulanov <email address hidden>
Date: Wed Sep 16 09:37:33 2015

Backport gitdb-0.6.4 from wily to trusty

Related-bug: #1496312

Change-Id: I3462edce53b72717665350902828a660e18d56e1

Changed in fuel:
milestone: 7.0 → 8.0
status: Fix Committed → Fix Released
Dmitry Pyzhov (dpyzhov) on 2015-10-21
tags: added: area-devops
tags: added: area-build
removed: area-devops
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers